#
# Conditional build:
%bcond_with	tests		# build without tests

%define pkgname hoe
Summary:	Rake/rubygems helper for project Rakefiles
Name:		ruby-%{pkgname}
Version:	3.17.0
Release:	2
License:	MIT/Ruby License
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	32e173e0c6bdc3d27c6ab305416a4603
URL:		http://www.zenspider.com/projects/hoe.html
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	ruby-minitest >= 5.0
BuildRequires:	ruby-rdoc >= 4.0
BuildRequires:	ruby-rdoc < 6
%endif
Requires:	ruby-rubygems >= 1.4
Requires:	ruby-rake >= 0.8
Requires:	ruby-rake < 13.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hoe is a rake/rubygems helper for project Rakefiles. It helps you
manage and maintain, and release your project and includes a dynamic
plug-in system allowing for easy extensibility. Hoe ships with
plug-ins for all your usual project tasks including rdoc generation,
testing, packaging, and deployment.

%package rdoc
Summary:	Documentation files for %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}
%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

%build
# write .gemspec
%__gem_helper spec

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -rf ri/{File,Rake,String,Object}
rm -f ri/created.rid
rm -f ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{_bindir},%{ruby_ridir},%{ruby_rdocdir}/%{name}-%{version}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc History.rdoc README.rdoc Hoe.pdf
%attr(755,root,root) %{_bindir}/sow
%{ruby_vendorlibdir}/%{pkgname}.rb
%{ruby_vendorlibdir}/%{pkgname}
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Hoe
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-hoe.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 20f24c6
- release 2 (by relup.sh)

* Thu Jun 07 2018 Jan Rękorajski <baggins@pld-linux.org> 6c8ffc3
- up to 3.17.0

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 8cea76f
- rebuild with ruby 2.4
- release 2 (by relup.sh)

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> a7e3198
- up to 3.12.0

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 6f2e8de
- ri doc is kept separately

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 673a33a
- build noarch, package to vendor dir

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> e624ce0
- added description

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> 6138e7a
- initial revision

